play.libs

## Class F.Matcher<T,R>

- java.lang.Object
- - play.libs.F.Matcher<T,R>

- Enclosing class:
    F

      public abstract static class F.Matcher<T,R>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static F.Matcher<java.lang.Object,java.lang.String>` | `String`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Matcher()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<NR> F.Matcher<T,NR>` | `and(F.Matcher<R,NR> nextMatcher)`
    `static <K> F.Matcher<java.lang.Object,K>` | `ClassOf(java.lang.Class<K> clazz)`
    `static <X> F.Matcher<X,X>` | `Equals(X other)`
    `F.Option<R>` | `match(F.Option<T> o)`
    `abstract F.Option<R>` | `match(T o)`
    `static F.Matcher<java.lang.String,java.lang.String>` | `Re(java.lang.String pattern)`
    `static F.Matcher<java.lang.String,java.lang.String>` | `StartsWith(java.lang.String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### String

          public static F.Matcher<java.lang.Object,java.lang.String> String

  - ### Constructor Detail

    - #### Matcher

          public Matcher()

  - ### Method Detail

    - #### match

          public abstract F.Option<R> match(T o)

    - #### match

          public F.Option<R> match(F.Option<T> o)

    - #### and

          public <NR> F.Matcher<T,NR> and(F.Matcher<R,NR> nextMatcher)

    - #### ClassOf

          public static <K> F.Matcher<java.lang.Object,K> ClassOf(java.lang.Class<K> clazz)

    - #### StartsWith

          public static F.Matcher<java.lang.String,java.lang.String> StartsWith(java.lang.String prefix)

    - #### Re

          public static F.Matcher<java.lang.String,java.lang.String> Re(java.lang.String pattern)

    - #### Equals

          public static <X> F.Matcher<X,X> Equals(X other)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly